DESCRIPTION = "C++11 Lightweight Redis client: async, thread-safe, no dependency, pipelining, multi-platform"
HOMEPAGE = "http://github.com/cpp-redis/cpp_redis"
LICENSE = "MIT"
SECTION = "libs"
DEPENDS = "redis"

PR = "1"

LIC_FILES_CHKSUM = "file://LICENSE;md5=a25f3b5566e1fac3a0b93f426f1285b7"

SRCREV = "857ae58f62db903ea93a4ab5f68248c3e9dd01e6"
SRC_URI = "gitsm://github.com/bam-labs/cpp_redis;protocol=https;"

S = "${WORKDIR}/git"

inherit cmake pkgconfig

EXTRA_OECMAKE = "-DTACOPIE_INCLUDE_DIR=tacopie/tacopie"

do_configure:append() {
	cd ${S}
	if [ -e ${S}/build ]; then
	    rm -rf ${S}/build
	fi
	install -d ${S}/build
	cd ${S}/build
	# Generate the Makefile using CMake
	cmake .. -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=${prefix}
}

do_compile() {
	# Build the static library
	cd ${S}/build
	make
}

do_install() {
	cd ${S}/build
	# Install the library
	make DESTDIR=${D} install
	rmdir ${D}/${bindir}
}

# static only library, so ${PN} is empty, let it exist to satisfy dependencies
ALLOW_EMPTY:${PN} = "1"

BBCLASSEXTEND = "native nativesdk"
